View Issue Details

IDProjectCategoryView StatusLast Update
0000245TeraCopyUIpublic2018-10-22 23:12
ReporterLPChip 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version3.2 
Target VersionFixed in Version 
Summary0000245: option: Verify skipped files
DescriptionI'd like to be able to have a setting in the options, to always test files that were skipped. Currently it will simply skip these.

If I am running a copy from a network location to locally for example, and it contains a lot of data, then midway, the pc/server is restarted and I have to resume the copy, it may see the earlier files as skipped and not verify them.
TagsNo tags attached.
OSWindows 10
OS Version64 bit

Relationships

Activities

gebazzz

2017-08-27 11:32

reporter   ~0000159

Agree. It was possible in TeraCopy 2.x, I really hope this feature (with all the post-copy features) will come back soon.

Dean0

2017-09-14 07:58

reporter   ~0000164

I 3rd this. Definitely an important feature that should not have been removed.

About 50% of the utility of TeraCopy for me was not to actually copy files, rather it was to verify that two sets of files (with the same names) were the same. I'd just copy one set over the other, then click "Skip All" followed by "Verify", and it'd quickly tell you exactly which files were different between source and target. Sure there are other ways of doing this, like computing checksums and manually comparing them, or like using dedicated file-comparison software such as Scooter Software's "Beyond Compare". But for me, 95% of the time TeraCopy was BY FAR the easiest route for what I needed to do.

So the new TeraCopy 3.x is only about half as useful as the old 2.x version.

Also, the new interface is frankly confusing:

* If you skip some files during a copy, then afterwards you click "OK" followed by "Test", you get a tick next to the filename, but it DOESN'T mean that source and destination files are the same. WTF?
* There are no column headings in the file list. Is that hash for the source or for the destination?
* The Skip/Overwrite dialog that pops up is modal, so when it occurs I can't then decide to "Keep Panel Open" to see the list of skipped files unless the operation takes long enough that I'm able to get in quickly and click it afterwards, before the operation finishes.
* What do pink-colored gaps in the progress/speed indicator bar mean? Are they copy errors? Delays? It should be obvious, and it really, really isn't. At least pop up a tooltip explaining it!

I like the fact that TeraCopy now stacks all its pending operations in the same window. Much better than having 30 small windows open and cluttering the taskbar, when queuing lots of operations! I'll also take your word for it that copy speeds have improved in v3.x. But in every other way, the v2.x interface was better, functionally clearer, and more intuitive, I'm sorry to say. I don't know what you guys were thinking, but IMHO "if it ain't broken, don't fix it!"

Keep the new color scheme if you like, but please revert to the way the old 2.x version worked in terms of actual UI functionality & clarity!

CodeSector

2017-09-22 13:08

administrator   ~0000173

If you click on "Skip All" followed by "Verify" (not "OK" and then "Test") TeraCopy will give you an option to verify skipped files as well.

I've added a delay before the app auto-close if some files were skipped during the transfer.

LPChip

2017-09-22 16:13

reporter   ~0000174

Hi there,

The described method is what I currently use, but it seems to me that it is not testing the skipped files, only those it found and copied. This is verified by clearing the completed files, all skipped files remain.

The problem with this is, that I have to come back to my transfer and do a second test, where I want to do it all in one go.

russell2000

2017-10-13 20:22

reporter   ~0000187

Hello,

Created an account to add interest in this option. I spent a lot of time today searching in vain for this capability as it's been basically crucial for me since 2.0.

Thanks!

DonkeyDon

2017-10-27 07:30

reporter   ~0000191

I have tried the above instructions as well. I still have to do 3-4 Clicks to get both checksums to match up. Not only that, it does the source sums twice, which takes hours on a large network copy.

I also find that the reporting is somewhat deceptive, well at the very least,... easily misinterpreted.(see screenshots)

 I can still use Teracopy 2.3 and be happy. But If I want a SHA512 hash that I won't make mistakes with, I may have to find another program to do verification. And that's a shame, because the old Teracopy did both things so well that I happily paid for it.

tercopy issues.png (202,383 bytes)
tercopy issues.png (202,383 bytes)
tercaopy issues 2.png (413,038 bytes)

BrianGeeks

2017-10-28 12:13

reporter   ~0000192

When you attempt to "Move with TeraCopy" Tera Copy will scan the files and get the hashes of the files in the target folder, but it cannot read or does read the hashes of the source folder to compare them. You then need to click next and have tera copy test the source files. Then next again to have teracopy attempt to move the files to the destination. Then it has the source and destination hashes and can do the move correctly.

Thank you for your awesome program. I hope you can work out this issue with reading the hashes.

Notorious

2018-06-05 00:00

reporter   ~0000242

I've been using TeraCopy since version 2.x and have used version 3.x for a while now. I just found out that when file existed in destination and I skipped/OK/Test it didn't actually verify these skipped files?? I skip files a lot thinking that it was tested and verified successfully just like TeraCopy 2.x.

After my suspicion I did a few test and confirmed it didn't verify skipped files, it can't even detect difference in file size!

Please bring this function to future updates, why not?

gebazzz

2018-06-05 04:40

reporter   ~0000243

What Notorious reported gives an explanation on something happened few days ago, when I expected Teracopy to warn file differences between some already copied files and it didn't. So, I think I can also confirm his suspicions.

Notorious

2018-10-04 23:22

reporter   ~0000251

Been months since the last post and I'm still using version 2.30 :p but I've decided to revisit version 3.26 and do some test.

Base on the post here by the administrator:
"If you click on "Skip All" followed by "Verify" (not "OK" and then "Test") TeraCopy will give you an option to verify skipped files as well.
I've added a delay before the app auto-close if some files were skipped during the transfer."

First of all yes there's a 5 second delay when you choose 'Skip all' before it closes, but there's no such thing as Verify or OK, the only option you can click before it close is Next & Save Hash. So after selecting Next the next option is Copy, Move, Test & Delete. Choosing Copy will repeats itself so that's not what we want. Choosing Test the process will complete and TeraCopy will close, no files were verified. So it's confusing what the admin is trying to instruct, but I'm moving on with more test.

The conclusion of my test is it's possible to verify existing files that were skipped but there's one thing you have to do.

1. On the lower right corner there's an option on what to do after process is finish, by default it is set to Close, you have to change that to 'On finish: Keep panel open'.

2. Copy files and select 'Skip All' and after it's done select 'Next'

3. Then select 'Test' and the process will complete but without TeraCopy closing yet.

4. Then select 'Next' then 'Copy' then 'Skip All' again.

This time it will verify those skipped files. :| But of course version 2.30 will do all that steps after selecting 'Skip All'

I hope this info helps and developer understand and users who want to use version 3.26 and verify skipped files.

rumblefish

2018-10-20 06:21

reporter   ~0000252

Hi,

Just wanted to add some feedback in particular for @Notorious. Maybe it will help some.

I am using v3.26 and I think I know what Notorious is talking about when he says there is "no such thing as Verify ". I was also looking for a way to verify files I had already copied the day before, and I also did not see the Verify option that was mentioned in the User Manual and here in this thread. BUT, I think I found why...

Long story short, I now have the Verify button. When I copy existing files and click Skip All, the copy panel now shows Next, Verify and Close (IIRC). Clicking Verify will compare the source and destination files.

Before I finally managed to get the Verify button though, I also only saw Next, Save Hash and Close. But I think I found the reason for this (I will confirm once I have a chance to test again).

I believe the reason I was not seeing the Verify button was because in Preferences I had enabled the option to "Always verify files on completion". When this was enabled the Verify button was missing after clicking Skip All, but once I disabled that option in Preferences, then I got the Verify button on the copy panel.

I think that having the "Always verify files on completion" option enabled, makes it so that regardless of what you choose (overwrite, skip, skip all, etc) TeraCopy thinks that all the files were already verified so it will not give you the option to verify. If I remember correctly the panel even shows "x files successfully verified", but of course they were not which does seem like a problem to me. If the Always verify option is disabled in preferences, then when you click Skip All you are then given the option to Verify, because TeraCopy does not think that the files were already verified.

I hope this helps someone, anyone, having trouble with verifying existing files. It does seem like a slight oversight that after clicking Skip All, TeraCopy seems to think that all files had already been verified if the "verify on completion" option was enabled in preferences. It is a bit of a problem that TeraCopy was telling me all files were verified when they were in fact not, and then also not CLEARLY giving me the option to (re)verify. I say CLEARLY, because I've just remembered something... I think even if you are not given the option to verify due to the reason I mentioned, you can still (re)verify by right-clicking anywhere on the copy panel and then selecting Verify from the menu.

Hope this helps! I've been using TC for years and do not think I will change any time soon :)

Notorious

2018-10-22 23:12

reporter   ~0000253

Thanks for the report @rumblefish, another good find, certainly a bug for our problems. Sounds like it's a good idea to turn off 'Always verify files on completion' for this situation. But on first time copy/verify though, maybe there's a button to verify after finish copying that you can click while copying is in progress like TeraCopy 2.X, for the time being for those who use v3.x it sounds like a temporary workaround, I'm still on v2.x :)

Issue History

Date Modified Username Field Change
2017-08-25 05:49 LPChip New Issue
2017-08-27 11:32 gebazzz Note Added: 0000159
2017-09-14 07:58 Dean0 Note Added: 0000164
2017-09-22 13:08 CodeSector Note Added: 0000173
2017-09-22 16:13 LPChip Note Added: 0000174
2017-10-13 20:22 russell2000 Note Added: 0000187
2017-10-27 07:30 DonkeyDon File Added: tercopy issues.png
2017-10-27 07:30 DonkeyDon File Added: tercaopy issues 2.png
2017-10-27 07:30 DonkeyDon Note Added: 0000191
2017-10-28 12:13 BrianGeeks Note Added: 0000192
2018-06-05 00:00 Notorious Note Added: 0000242
2018-06-05 04:40 gebazzz Note Added: 0000243
2018-10-04 23:22 Notorious Note Added: 0000251
2018-10-20 06:21 rumblefish Note Added: 0000252
2018-10-22 23:12 Notorious Note Added: 0000253